%define oname   thor

Name:       ruby-%{oname}
Version:    0.14.0
Release:    %mkrel 3
Summary:    A scripting framework that replaces rake, sake and rubigen
Group:      Development/Ruby
License:    MIT
URL:        http://yehudakatz.com
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     thor-0.14.0-rspec2.patch
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(fakeweb)
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A scripting framework that replaces rake, sake and rubigen

%files
%defattr(-, root, root, -)
%{_bindir}/thor
%{_bindir}/rake2thor
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.md
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Thorfile
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/bin/* %{buildroot}%{_bindir}

%check
rspec --color spec/*_spec.rb

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 0.14.0-3.mga1
+ Revision: 86073
- improve rspec patch
- add check section
- add patch for rspec2
- move files in vendorlibdir so that bundler can find them

* Wed Jan 26 2011 shikamaru <shikamaru> 0.14.0-2.mga1
+ Revision: 39710
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 0.14.0-1.mga1
+ Revision: 39402
- imported package ruby-thor


* Tue Jan 25 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.14.0-1mdv2011.0
- Initial package
